Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class DynamicNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
          org.jbpm.ruleflow.core.factory.DynamicNodeFactory

    public class DynamicNodeFactory

extends RuleFlowNodeContainerFactory

Constructor Summary
`DynamicNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`DynamicNodeFactory` | `autoComplete(boolean autoComplete)`
`RuleFlowNodeContainerFactory` | `done()`
`DynamicNodeFactory` | `exceptionHandler(String exception, ExceptionHandler exceptionHandler)`
`DynamicNodeFactory` | `exceptionHandler(String exception, String dialect, String action)`
`protected CompositeContextNode` | `getCompositeNode()`
`protected DynamicNode` | `getDynamicNode()`
`DynamicNodeFactory` | `linkIncomingConnections(long nodeId)`
`DynamicNodeFactory` | `linkOutgoingConnections(long nodeId)`
`DynamicNodeFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type)`
`DynamicNodeFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type, Object value)`

Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
`actionNode, compositeNode, connection, dynamicNode, endNode, eventNode, faultNode, forEachNode, getNodeContainer, humanTaskNode, joinNode, milestoneNode, ruleSetNode, setNodeContainer, splitNode, startNode, subProcessNode, timerNode, workItemNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicNodeFactory

    public DynamicNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                              NodeContainer nodeContainer,
                              long id)

Method Detail

### getCompositeNode

    protected CompositeContextNode getCompositeNode()

### getDynamicNode

    protected DynamicNode getDynamicNode()

### variable

    public DynamicNodeFactory variable(String name,
                                       org.drools.core.process.core.datatype.DataType type)

### variable

    public DynamicNodeFactory variable(String name,
                                       org.drools.core.process.core.datatype.DataType type,
                                       Object value)

### exceptionHandler

    public DynamicNodeFactory exceptionHandler(String exception,
                                               ExceptionHandler exceptionHandler)

### exceptionHandler

    public DynamicNodeFactory exceptionHandler(String exception,
                                               String dialect,
                                               String action)

### autoComplete

    public DynamicNodeFactory autoComplete(boolean autoComplete)

### linkIncomingConnections

    public DynamicNodeFactory linkIncomingConnections(long nodeId)

### linkOutgoingConnections

    public DynamicNodeFactory linkOutgoingConnections(long nodeId)

### done

    public RuleFlowNodeContainerFactory done()

  Specified by:
    `done` in class `RuleFlowNodeContainerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.